# Restores Dry Run state to the selected savepoint and returns its metadata.

## Apply savepoint

> Restores Dry Run state to the selected savepoint and returns its metadata.

```json
{"openapi":"3.0.0","info":{"title":"Guardian","version":"3.3.0"},"servers":[{"url":"/api/v1","description":"version 1.0"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InternalServerErrorDTO":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/policies/{policyId}/savepoints/{savepointId}":{"put":{"description":"Restores Dry Run state to the selected savepoint and returns its metadata.","operationId":"PolicyApi_selectSavepoint","parameters":[{"name":"policyId","required":true,"in":"path","schema":{"type":"string"}},{"name":"savepointId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation."},"401":{"description":"Unauthorized."},"403":{"description":"Forbidden."},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerErrorDTO"}}}}},"summary":"Apply savepoint","tags":["policies"]}}}}
```
